#! /usr/bin/python
# encoding=UTF-8
# importer les bilbliothèques de fonction
from __future__ import division
import nltk
from nltk.corpus import PlaintextCorpusReader
# créer une variable (corpus_root) pour indiquer où se trouve le corpus de txt qui vont être travaillés
# le point signifie le répertoire dans lequel se trouve le script (le corpus se trouve dans ce répertoire)
corpus_root='.'
# aller chercher la 'liste de mots' qui correspond au corpus
# le .* signifie tous les fichiers
wordlists=PlaintextCorpusReader(corpus_root,'.*')
pb=nltk.text.Text(wordlists.words('petitBain.txt'))
an=nltk.text.Text(wordlists.words('totlater.txt'))
# trouver des concordances (mot dans son contexte)
pb.concordance("manteau")
# trouver des concordances, width de la ligne 80, 300 entrées
pb.concordance("manteau", 80, 300) 
# trouver des mots qui apparaissent dans le même contexte
pb.similar("manteau")
# trouver des contextes communs entre deux ou plusieurs mots
pb.common_contexts(["elle", "il"])
# afficher la position des mots dans le texte (nécessite le paquet python-matplotlib)
an.dispersion_plot(["John", "Linda", "Brussels"])
# réécrire en random
pb.generate()
# compter le nombre de caractères
len(pb)
# calculer la longueur du texte (nb de mots uniques), 
len(set(an))
# mots par ordre alphabétique
sorted(set(an))
# richesse lexicale de ton texte: divise le nombre de mots avec le nombre de mots uniques
len(an) / len(set(an))

